FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-14-2008, 02:39 PM
Thufir
 
Default emerge ruby fails

I haven't had much of a chance to google this, but I did update glibc as
that seems like it's related to some ruby problems.

Ruby gems fails to install with the following error (this is the topmost
build error?):


* Messages for package dev-ruby/rubygems-0.9.4-r2:

*
* ERROR: dev-ruby/rubygems-0.9.4-r2 failed.
* Call stack:
* ebuild.sh, line 1701: Called dyn_compile


thanks,

Thufir

--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-14-2008, 03:42 PM
Lowe Schmidt
 
Default emerge ruby fails

Thufir wrote:
I haven't had much of a chance to google this, but I did update glibc as
that seems like it's related to some ruby problems.


Ruby gems fails to install with the following error (this is the topmost
build error?):



* Messages for package dev-ruby/rubygems-0.9.4-r2:

*
* ERROR: dev-ruby/rubygems-0.9.4-r2 failed.

* Call stack:
* ebuild.sh, line 1701: Called dyn_compile


thanks,

Thufir




It's not the topmost build error, above that.
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-16-2008, 12:28 AM
Thufir
 
Default emerge ruby fails

On Thu, 14 Feb 2008 17:42:24 +0100, Lowe Schmidt wrote:


> It's not the topmost build error, above that.

After mucking about with revdep-rebuild, I did get ruby installed, but
get:


>>> Emerging (7 of 7) dev-ruby/rails-2.0.2 to /
[...]
>>> Install rails-2.0.2 into /var/tmp/portage/dev-ruby/rails-2.0.2/image/
category dev-ruby
ERROR: While executing gem ... (RuntimeError)
Error instaling /var/tmp/portage/dev-ruby/rails-2.0.2/distdir/
rails-2.0.2:
rails requires rake >= 0.7.2
*
* ERROR: dev-ruby/rails-2.0.2 failed.
* Call stack:
* ebuild.sh, line 1701: Called dyn_install
* ebuild.sh, line 1138: Called qa_call 'src_install'
* ebuild.sh, line 44: Called src_install
* rails-2.0.2.ebuild, line 29: Called gems_src_install
* gems.eclass, line 66: Called die
* The specific snippet of code:
* gem install ${GEM_SRC} --version ${PV} ${myconf}
* --local --install-dir "${D}/${GEMSDIR}" || die "gem
install failed"
* The die message:
* gem install failed
*
* If you need support, post the topmost build error, and the call stack
if relevant.
* A complete build log is located at '/var/tmp/portage/dev-ruby/
rails-2.0.2/temp/build.log'.
*

* Messages for package dev-ruby/rails-2.0.2:

*
* ERROR: dev-ruby/rails-2.0.2 failed.
* Call stack:
* ebuild.sh, line 1701: Called dyn_install
* ebuild.sh, line 1138: Called qa_call 'src_install'
* ebuild.sh, line 44: Called src_install
* rails-2.0.2.ebuild, line 29: Called gems_src_install
* gems.eclass, line 66: Called die
* The specific snippet of code:
* gem install ${GEM_SRC} --version ${PV} ${myconf}
* --local --install-dir "${D}/${GEMSDIR}" || die "gem
install failed"
* The die message:
* gem install failed
*
* If you need support, post the topmost build error, and the call stack
if relevant.
* A complete build log is located at '/var/tmp/portage/dev-ruby/
rails-2.0.2/temp/build.log'.
*
* GNU info directory index is up-to-date.
arrakis ~ #
arrakis ~ #



I would just like to try to avoid "emerge world" if possible


-Thufir

--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 06:25 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org